<!--
  ~ Hibernate, Relational Persistence for Idiomatic Java
  ~
  ~ License: GNU Lesser General Public License (LGPL), version 2.1 or later.
  ~ See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
  -->
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
    <session-factory>

        <property name="connection.url">jdbc:postgresql://postgres:5432/bot_db</property> <!-- BD Mane -->
        <property name="connection.driver_class">org.postgresql.Driver</property> <!-- DB Driver -->
        <property name="connection.username">postgres</property> <!-- DB User -->
        <property name="connection.password">1234</property> <!-- DB Password -->


        <property name="dialect">org.hibernate.dialect.PostgresPlusDialect</property> <!-- DB Dialect -->
        <property name="hbm2ddl.auto">update</property> <!-- create / create-drop / update -->
        <!--        <property name="connection.pool_size">1</property>-->
        <property name="hibernate.connection.autocommit">true</property>

        <property name="show_sql">false</property> <!-- Show SQL in console -->
        <property name="format_sql">true</property> <!-- Show SQL formatted -->
        <property name="current_session_context_class">thread</property>
        <!--        <mapping class="com.backup_bot.user.UserModels"/>-->

    </session-factory>
</hibernate-configuration>